summaryrefslogtreecommitdiff
path: root/tools/perf/tests/make
diff options
context:
space:
mode:
authorIngo Molnar <mingo@kernel.org>2014-07-17 11:45:29 +0200
committerIngo Molnar <mingo@kernel.org>2014-07-17 11:45:29 +0200
commitb5e4111f027c4be85dbe97e090530d03c55c4cf4 (patch)
tree11e0a37cb59314f4e9a7b2810124a4a7a33140e5 /tools/perf/tests/make
parent72d5305dcb3637913c2c37e847a4de9028e49244 (diff)
parent9de8033f1bbcce5ed23fe5da9ca1a5060207f7ed (diff)
Merge branch 'locking/urgent' into locking/core, before applying larger changes and to refresh the branch with fixes
Signed-off-by: Ingo Molnar <mingo@kernel.org>
Diffstat (limited to 'tools/perf/tests/make')
-rw-r--r--tools/perf/tests/make7
1 files changed, 2 insertions, 5 deletions
diff --git a/tools/perf/tests/make b/tools/perf/tests/make
index 2f92d6e7ee00..69a71ff84e01 100644
--- a/tools/perf/tests/make
+++ b/tools/perf/tests/make
@@ -205,8 +205,7 @@ $(run):
( eval $$cmd ) >> $@ 2>&1; \
echo " test: $(call test,$@)" >> $@ 2>&1; \
$(call test,$@) && \
- rm -f $@ \
- rm -rf $$TMP_DEST
+ rm -rf $@ $$TMP_DEST || (cat $@ ; false)
$(run_O):
$(call clean)
@@ -217,9 +216,7 @@ $(run_O):
( eval $$cmd ) >> $@ 2>&1 && \
echo " test: $(call test_O,$@)" >> $@ 2>&1; \
$(call test_O,$@) && \
- rm -f $@ && \
- rm -rf $$TMP_O \
- rm -rf $$TMP_DEST
+ rm -rf $@ $$TMP_O $$TMP_DEST || (cat $@ ; false)
tarpkg:
@cmd="$(PERF)/tests/perf-targz-src-pkg $(PERF)"; \